This page was created by the IDL library routine `mk_html_help2`.

Last modified: Fri Oct 10 03:18:11 2025.

# Directory Listing of Routines

# general/missions/ace

- ACE_EPM_LOAD
  Downloads ACE data from SPDF
- ACE_INIT
- ACE_MAG_SWEPAM_LOAD
- ACE_MFI_LOAD
- ACE_SWE_LOAD
- NOAA_ACE_NRT_LOAD
- SPDF_FILE_SOURCE( [DEFAULT_SOURCE] )
  Returns a structure that contains all the information (or options) needed to download and return SPDF data file names.

# Routine Descriptions

## ACE_EPM_LOAD

[Next Routine] [List of Routines]

    NAME:
     ace_epm_load

    PURPOSE:
     Downloads ACE data from SPDF

    Typical Usage:
      ace_epm_load, trange=trange

     $LastChangedBy:$
     $LastChangedDate:$
     $LastChangedRevision:$
     $URL:$

(See general/missions/ace/ace_epm_load.pro)

## ACE_INIT

[Previous Routine] [Next Routine] [List of Routines]

    Procedure: ACE_INIT

    Purpose: Initializes a settings for ace_mag_swepam_load & noaa_ace_nrt_load

    Notes:

     Author: Cindy Goethel

     $LastChangedBy: egrimes $
     $LastChangedDate: 2020-04-03 09:58:23 -0700 (Fri, 03 Apr 2020) $
     $LastChangedRevision: 28486 $
     $URL $

(See general/missions/ace/ace_init.pro)

## ACE_MAG_SWEPAM_LOAD

[Previous Routine] [Next Routine] [List of Routines]

    Procedure: ACE_MAG_SWEPAM_LOAD

    Purpose:  Loads ACE Magnetometer Values in GSM coordinates (1 minute averages) and/or
              Solar Wind Electron Proton Alpha Monitor data

    keywords:
       datatype = (Optional) type of data ('mag', 'swepam', 'all'), default is 'all' and includes
                  all the ascii type data files for ACE (mag and swepam)
       trange = (Optional) Time range of interest (2 element array), default is tplot trange
       downloadonly = (Optional) Set this to 1 to retrieve the data but not load it into
                                 tplot variables
       verbose = (Optional) Set this keyword to get more messages, default is off
       source = (Optional) for directories different from the default ACE data directory
       tplotnames = (Optional) tplot variable names

    Example:
       ace_mag_swepam_load
    Notes:

     Author: Cindy Goethel

     $LastChangedBy: pcruce $
     $LastChangedDate: 2009-05-19 11:14:44 -0700 (Tue, 19 May 2009) $
     $LastChangedRevision: 5884 $
     $URL $

(See general/missions/ace/ace_mag_swepam_load.pro)

## ACE_MFI_LOAD

[Previous Routine] [Next Routine] [List of Routines]

    Procedure: ACE_MFI_LOAD

    Purpose:  Loads ACE fluxgate magnetometer data

    keywords:
       TRANGE= (Optional) Time range of interest  (2 element array).
       /VERBOSE : set to output some useful info
       datatype = One of: ['k0, 'h0', 'h1', 'h2', 'h3']
    Example:
       ace_mfi_load
    Notes:
      This routine is still in development.
     Author: Davin Larson

     $LastChangedBy: davin-win $
     $LastChangedDate: $
     $LastChangedRevision:  $
     $URL $

(See general/missions/ace/ace_mfi_load.pro)

## ACE_SWE_LOAD

[Previous Routine] [Next Routine] [List of Routines]

    Procedure: ACE_SWE_LOAD

    Purpose:  Loads WIND SWE data

    keywords:
       TRANGE= (Optional) Time range of interest  (2 element array).
       /VERBOSE : set to output some useful info
    Example:
       ace_swe_load,datatype='h2'
    Notes:
      This routine is still in development.
     Author: Davin Larson

     $LastChangedBy: davin-win $
     $LastChangedDate: $
     $LastChangedRevision:  $
     $URL $

(See general/missions/ace/ace_swe_load.pro)

## NOAA_ACE_NRT_LOAD

[Previous Routine] [Next Routine] [List of Routines]

    Procedure: NOAA_ACE_NRT_LOAD

    Purpose:  Loads ACE Magnetometer Values in GSM coordinates (1 minute averages) and/or
              Solar Wind Electron Proton Alpha Monitor data

    keywords:
       datatype = (Optional) the data types for ace include:  'mag', 'swepam', 'all'
                  default is 'all' and includes the ascii type data files for ACE, mag and swepam
       trange = (Optional) Time range of interest (2 element array), default is tplot trange
       downloadonly = (Optional) Set this to 1 to retrieve the data but not load it into
                                 tplot variables
       verbose = (Optional) Set this keyword to get more messages, default is off
       source = (Optional) for directories different from the default ACE data directory
       tplotnames = (Optional) tplot variable names

    Example:
       noaa_ace_nrt_load

    Notes:

     Author: Cindy Goethel

     $LastChangedBy: pcruce $
     $LastChangedDate: 2009-05-19 11:14:44 -0700 (Tue, 19 May 2009) $
     $LastChangedRevision: 5884 $
     $URL $

(See general/missions/ace/noaa_ace_nrt_load.pro)

## SPDF_FILE_SOURCE( [DEFAULT_SOURCE] )

[Previous Routine] [List of Routines]

    NAME:
     spdf_file_source( [default_source] )
    PURPOSE:
     Returns a structure that contains all the information (or options) needed to download and return SPDF data file names.
     The structure is stored in a common block variable and has persistance.
     This funtion is used primarily by the routine mvn_pfp_file_source().  However users might wish to change the default values.
     see "file_retrieve" for specific information on how to use the options in this structure.
    Typical Usage:
      source=spdf_file_source()   ; get the options
      printdat, source           ; display the options
    Examples:
     #1a:
      tempsource = spdf_file_source(verbose=4,local_data_dir='tempdir/')  ; temporarily change VERBOSE and LOCAL_DATA_DIR
      files = maven_pfp_file_retrieve(source=tempsource)
    INPUT:
      default_source  (optional)  if this is a structure then it will be returned as the output
    KEYWORDS:
      SET = [0,1]  : If set, then new options (KEYWORDS or DEFAULT_SOURCE) are made to the common block variable are therefor persistant.
          DO NOT USE THIS KEYWORD INSIDE publically distributed code - IT WILL PRODUCE SIDE EFFECTS FOR OTHERS! !
      RESET = [0,1]  : If set then the default is restored.
          DO NOT USE THIS KEYWORD INSIDE publically distributed code - IT WILL PRODUCE SIDE EFFECTS FOR OTHERS! !
    EXAMPLE 1:
         printdat, mvn_file_source(/set,  USER_PASS='user:password')   ; Add the user and password to enable authentication on the remote server.
     #1b
      help,/structure, mvn_file_source(verbose=3,/set)    ; Permanentaly change the verbose level for all subsequent calls
      files = mvn_pfp_file_retrieve()
     #1c
      help,/structure, mvn_file_source(no_server=1,/set)  ; Permanently disable searching on the remote server
     #2
      help,/structure,   mvn_file_source(/reset)       ; reset structure to the default.
    OUTPUT:
     Structure:
      see "FILE_RETRIEVE" for a description of each structure element.

    Notes: this function isn't used any more, for downloads use the function spd_download

     $LastChangedBy: nikos $
     $LastChangedDate: 2017-02-21 10:31:00 -0800 (Tue, 21 Feb 2017) $
     $LastChangedRevision: 22828 $
     $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/general/missions/ace/spdf_file_source.pro $

(See general/missions/ace/spdf_file_source.pro)